2

This is a feeds module related issue. An entity update that started to cause errors on 8.7.x after the removal of automatic entity update. Originally an entity definition needed to be updated using entup but was not. And after upgrading to 8.7 this started to cause fatal errors. So now I have to force update it:

In summary:

$field_storage_definition = $entity_definition_update_manager->getFieldStorageDefinition('config', 'feeds_feed');

returns an object:

Drupal\Core\Field\BaseFieldDefinition Object
(
    [type:protected] => feeds_serialized
....

I need to update this object so [type:protected] => map instead.

For what's it's worth, it is also possible to uninstall the module and re-install it but I am now just curious on how to update this object in a hook_update.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.